import 'package:syncrow_web/pages/device_managment/factories/device_bloc_dependencies_factory.dart';
import 'package:syncrow_web/pages/device_managment/two_gang_switch/bloc/two_gang_switch_bloc.dart';

abstract final class TwoGangSwitchBlocFactory {
  const TwoGangSwitchBlocFactory._();

  static TwoGangSwitchBloc create({
    required String deviceId,
  }) {
    return TwoGangSwitchBloc(
      deviceId: deviceId,
      controlDeviceService:
          DeviceBlocDependenciesFactory.createControlDeviceService(),
      batchControlDevicesService:
          DeviceBlocDependenciesFactory.createBatchControlDevicesService(),
    );
  }
}
